| Cabal-1.6.0.3: A framework for packaging Haskell software | Source code | Contents | Index

Distribution.ReadE

Portability | portable
Maintainer | cabal-devel@haskell.org

Contents

ReadE
Projections

Description
Simple parsing with failure
Synopsis

newtype ReadE a = ReadE {

runReadE :: String -> Either ErrorMsg a

}

succeedReadE :: (String -> a) -> ReadE a
failReadE :: ErrorMsg -> ReadE a
parseReadE :: ReadE a -> ReadP r a
readEOrFail :: ReadE a -> String -> a
readP_to_E :: (String -> ErrorMsg) -> ReadP a a -> ReadE a

ReadE

newtype ReadE a | Source

Parser with simple error reporting
Constructors

ReadE |

runReadE :: String -> Either ErrorMsg a |

Instances

Functor ReadE

succeedReadE :: (String -> a) -> ReadE a | Source

failReadE :: ErrorMsg -> ReadE a | Source

Projections

parseReadE :: ReadE a -> ReadP r a | Source

readEOrFail :: ReadE a -> String -> a | Source

readP_to_E :: (String -> ErrorMsg) -> ReadP a a -> ReadE a | Source

Produced by Haddock version 2.4.2